:root {
  --bg-color: #99b1bb;
  --line-separator: #3b7683;
  --text-color: #444d4d;
  --color-link: #4c6469;
  --color-hover: #d2eaff;
  --input-text: #cfeceb;
  --scroll-track: #ffffff00;
  --ranoyav2-texto: #aaaaaa;
  --ranoyav2-detalhes3: #34f8d1;
}

@media (prefer-color-scheme: dark) {
  :root {
    --bg-color: #000000;
    --line-separator: #514d4d;
    --text-color: #a7caca;
    --color-link: #bdb5b5;
    --color-hover: #34f8d1;
    --input-text: #cfeceb;
    --scroll-track: #ffffff00;
    --ranoyav2-texto: #aaaaaa;
    --ranoyav2-detalhes3: #34f8d1;
  }
}

label {
  display: none;
}

.timelinerlinhasano {
  opacity: 0.2 !important;
}

.timelinemarks {
  fill: var(--text-color, #a7caca);
}

::-webkit-scrollbar {
  width: 10px;
  margin-right: 5px;
}

::-webkit-scrollbar-track {
  background: var(--scroll-track, #ffffff77);
}

::-webkit-scrollbar-thumb {
  background: var(--color-link, #bdb5b5);
}

::-webkit-scrollbar-thumb:hover {
  background: var(--color-hover, #34f8d1);
}

input:not(:placeholder-shown) ~ label,
input:-webkit-autofill ~ label {
  display: none;
}

body {
  margin: 20px;
  margin-bottom: 0;
  font-family: Helvetica, Arial, sans-serif;
  font-size: 16px;
  line-height: 20px;
  background-color: var(--bg-color, white);
  overflow: hidden;
}

input {
  padding: 4px;
  padding-left: 8px;
  padding-right: 8px;

  min-width: 0;
  height: 100px;
  font-size: 40px !important;
  width: 100% !important;
  border: 0;
  outline: 0;
  margin-left: -10px;
  background-color: transparent;
  color: var(--input-text, #443535);
  margin-bottom: -10px;
}

#outputs {
  width: calc(100% + 40px);
  height: calc(100vh - 166px);
  display: block;
  margin-left: -20px;
  color: var(--fg-color, #d2d2d2);
  overflow-y: auto;
  padding-top: 3px;
}

#outputs iframe {
  width: 100%;
  height: calc(100vh - 169px);
}

.gridhead {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr [ultimacol] 1fr [fim];
  gap: 3px 10px;
  text-transform: uppercase;
}

.outputgrid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr [ultimacol] 1fr [fim];
  gap: 3px 10px;
  width: calc(100vw - 50px);
  margin-left: 20px;
  margin-right: 20px;
  padding-bottom: 20px;
}

.simplediv {
  width: calc(100vw - 50px);
  margin-left: 20px;
  margin-right: 20px;
  padding-bottom: 20px;
}

.categoria {
  grid-column: 1 / Span 4;
  margin-top: 16px;
  border-bottom: 1px solid var(--line-separator, #dddddd);
  color: var(--text-color, #bbbbbb);
  text-transform: uppercase;
  font-size: 11px;
}

.grouplink {
  padding: 4px 8px 4px 8px;
  margin: -4px -8px -4px -8px;
  text-decoration: none;
  color: var(--text-color, #bbbbbb);
  font-size: 11px;
  display: inline-block;
}

.grouplink:hover {
  background-color: var(--text-color, #bbbbbb);
  color: var(--bg-color, black);
}

.separaline {
  grid-column: 1 / fim;
  margin-top: 16px;
  border-top: 1px solid var(--line-separator, #dddddd);
  color: var(--text-color, #bbbbbb);
  text-transform: uppercase;
  font-size: 11px;
  height: 20px;
}

.noline {
  grid-column: 1 / fim;
  margin-top: 16px;
  color: var(--text-color, #bbbbbb);
  text-transform: uppercase;
  font-size: 11px;
}

a {
  text-decoration: none;
  color: var(--color-link, #3498c7);
  padding: 4px 8px 4px 8px;
  margin: -4px -8px -4px -8px;
}

a:hover {
  color: var(--color-hover, #e6be10);
  cursor: pointer;
}

#relogio {
  float: right;
  text-align: right;
}

.tick {
  color: var(--text-color, #616161);
  animation: pisca;
  animation-duration: 1s;
  animation-iteration-count: infinite;
}

#menucustom {
  margin-left: 16px;
  margin-right: 16px;
}

#menucustom a {
  margin-right: 0;
}

@keyframes pisca {
  0% {
    color: var(--text-color, #616161);
  }

  50% {
    color: transparent;
  }

  100% {
    color: var(--text-color, #616161);
  }
}

@media screen and (max-width: 1100px) {
  .gridhead,
  .outputgrid {
    grid-template-columns: 1fr 1fr [ultimacol] 1fr;
  }

  .categoria {
    grid-column: 1 / Span 3;
  }
}

@media screen and (max-width: 850px) {
  .gridhead,
  .outputgrid {
    grid-template-columns: 1fr [ultimacol] 1fr;
  }

  .categoria {
    grid-column: 1 / Span 2;
  }
}

@media screen and (max-width: 650px) {
  .gridhead,
  .outputgrid {
    grid-template-columns: [ultimacol] 1fr;
  }

  .categoria {
    grid-column: 1 / Span 1;
  }
}
